org.apache.tinkerpop.gremlin.structure.util.empty

## Class EmptyProperty<V>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyProperty<V>

- All Implemented Interfaces:
    Property<V>

      public final class EmptyProperty<V>
      extends Object
      implements Property<V>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Property

      `Property.Exceptions`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `element()` Get the element that this property is associated with.
    `boolean` | `equals(Object object)`
    `int` | `hashCode()`
    `static <V> Property<V>` | `instance()`
    `boolean` | `isPresent()` Whether the property is empty or not.
    `String` | `key()` The key of the property.
    `void` | `remove()` Remove the property from the associated element.
    `String` | `toString()`
    `V` | `value()` The value of the property.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Property

      `empty, ifPresent, orElse, orElseGet, orElseThrow`

- - ### Method Detail

    - #### key

          public String key()

      Description copied from interface: `Property`
      The key of the property.
      Specified by:
        `key` in interface `Property<V>`
      Returns:
        The property key

    - #### value

          public V value()
                  throws NoSuchElementException

      Description copied from interface: `Property`
      The value of the property.
      Specified by:
        `value` in interface `Property<V>`
      Returns:
        The property value
      Throws:
        `NoSuchElementException` - thrown if the property is empty

    - #### isPresent

          public boolean isPresent()

      Description copied from interface: `Property`
      Whether the property is empty or not.
      Specified by:
        `isPresent` in interface `Property<V>`
      Returns:
        True if the property exists, else false

    - #### element

          public Element element()

      Description copied from interface: `Property`
      Get the element that this property is associated with.
      Specified by:
        `element` in interface `Property<V>`
      Returns:
        The element associated with this property (i.e. `Vertex`, `Edge`, or `VertexProperty`).

    - #### remove

          public void remove()

      Description copied from interface: `Property`
      Remove the property from the associated element.
      Specified by:
        `remove` in interface `Property<V>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### instance

          public static <V> Property<V> instance()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.